//
//  Downloader.h
//  FriendSaver
//
//  Created by Alex Roche on 3/26/07.
//  Copyright 2007 Alex Roche. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <SystemConfiguration/SCNetworkReachability.h>

void downloaderNetworkStatusDidChange(SCNetworkReachabilityRef name, SCNetworkConnectionFlags flags, void * infoDictionary);

@interface Downloader : NSObject {
	SCNetworkReachabilityRef facebookName;
	NSURLConnection *connection;
	NSMutableData *receivedData;
	id mainClass;
	NSURLRequest *request;
	BOOL doingDownload;
	BOOL hasError;
	BOOL isReachable;
	BOOL notificationRegistered;
	CFRunLoopRef current;
}

-(id)initWithRequest:(NSURLRequest *)theRequest;
- (void)setInitialAvailability;
-(id)dieCleanly;
-(void)dealloc;

-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response;
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data;
-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error;
-(void)connectionDidFinishLoading:(NSURLConnection *)connection;
-(NSCachedURLResponse *)connection:(NSURLConnection *)connection willCacheResponse:(NSCachedURLResponse *)cachedResponse;
-(NSMutableData *)data;
-(BOOL)hasError;
-(void)willGoToSleepSoon:(id)anObject;
@end