/*
 //  GNotifier.h
 //  FMenu
 //
 //  Created by Paul Borokhov on 12/23/06.
 //  Copyright 2006, 2007 Paul Borokhov. All rights reserved.
 //
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * FMenu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#import <Cocoa/Cocoa.h>
#import <Growl/GrowlApplicationBridge.h>
#import <GenericIDS.h>

@interface GNotifier : NSObject <GrowlApplicationBridgeDelegate> {
	
}

- (NSDictionary *) registrationDictionaryForGrowl;
- (NSString *) applicationNameForGrowl;
- (void) doNotify:(NSString *)name type:(NSString *)nType note:(NSString *)status;
- (void) doNotify:(NSString *)name type:(NSString *)nType note:(NSString *)status targetID:(NSString *)targetID;
- (void) growlNotificationWasClicked:(id)clickContext;
- (void) growlNotificationTimedOut:(id)clickContext;

@end
