//
//  GenericID.m
//  FMenu
//
//  Created by Paul Borokhov on 3/31/07.
//  Copyright 2007 Paul Borokhov. All rights reserved.
/*
 **
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * FMenu is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#import "GenericID.h"

@implementation GenericID

+ (GenericID *) createID:(NSString *)iD {
	return [[[GenericID alloc] init:iD] autorelease];
}

- (GenericID *) init:(NSString *)iD {
	if ((self = [super init])) {
		fID = [iD retain];
	}
	return self;
}

- (void) launchID {
	[[NSWorkspace sharedWorkspace] openURL:[NSURL URLWithString:[self launchURLString]]];
	if ([[[NSUserDefaultsController sharedUserDefaultsController] defaults] boolForKey:@"logErrors"]) {
		NSLog(@"Unknown ID type!");
	}
}

- (NSString *) launchURLString {
	return @"http://www.facebook.com/";
}

- (NSString *) ID {
	return [[fID copy] autorelease];
}

- (void) dealloc {
	[fID release];
	[super dealloc];
}

- (id) copyWithZone:(NSZone *)zone {
	return [[[self class] allocWithZone:zone] init:fID];
}

@end